=== examples/Min_sphere_of_spheres_d/CMakeLists.txt ===
cmake_minimum_required(VERSION 3.1...3.22)
project(Min_sphere_of_spheres_d_Examples)

find_package(CGAL REQUIRED)

# create a target per cppfile
file(
  GLOB cppfiles
  RELATIVE ${CMAKE_CURRENT_SOURCE_DIR}
  ${CMAKE_CURRENT_SOURCE_DIR}/*.cpp)
foreach(cppfile ${cppfiles})
  create_single_source_cgal_program("${cppfile}")
endforeach()
