=== debian/changelog ===
cgal (5.4.1-1build1) kinetic; urgency=medium

  * Rebuild against libipe7.2.25.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Thu, 21 Jul 2022 08:05:18 +0200

cgal (5.4.1-1) unstable; urgency=medium

  * New upstream release.

 -- Joachim Reichel <reichel@debian.org>  Sat, 18 Jun 2022 21:00:20 +0200

cgal (5.4-3) unstable; urgency=medium

  * Update Suggests: of libvtk7-dev and vtk7 of libcgal-demo to libvtk9-dev
    and vtk9 (Closes: #1012280).
  * Update Standards-Version to 4.6.1 (no changes needed).
  * Use https for Homepage: field in debian/control.

 -- Joachim Reichel <reichel@debian.org>  Tue, 08 Mar 2022 11:02:51 +0100

cgal (5.4-2) unstable; urgency=medium

  * Add patch fix-build-on-mipsel (Closes: #1005696).
  * debian/tests/control: Remove flaky restriction.
  * debian/test/run.sh: Avoid test failures due to compiler warnings.

 -- Joachim Reichel <reichel@debian.org>  Thu, 03 Feb 2022 08:45:19 +0100
