=== debian/changelog ===
cgal (5.5-1) unstable; urgency=medium

  * New upstream release.

 -- Joachim Reichel <reichel@debian.org>  Fri, 05 Aug 2022 21:14:08 +0200
